Skip to main content
GET
/
api
/
v1
/
transactions
List transactions
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/transactions \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "count": 123,
    "transaction_list": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "status": "<string>",
        "type": "<string>",
        "provider": "<string>",
        "source": {
          "amount": 123,
          "currency": "<string>",
          "customer": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "payment_method": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>",
            "chain": "<string>"
          }
        },
        "destination": {
          "amount": 123,
          "currency": "<string>",
          "customer": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "payment_method": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "type": "<string>",
            "chain": "<string>"
          }
        },
        "metadata": {},
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "settlement_date": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Query Parameters

limit
integer
default:10

Number of records to return per page

Required range: x >= 1
offset
integer
default:0

Number of records to skip

Required range: x >= 0
type_list
string

Comma-separated transaction types (case-insensitive)

status
string

Filter by status (case-insensitive)

payment_method
string

Filter by payment method type (case-insensitive)

source_currency
string

Filter by source currency (case-insensitive)

destination_currency
string

Filter by destination currency (case-insensitive)

provider
string

Filter by provider (case-insensitive)

Response

200 - application/json

Transaction list

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)